CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes
ProtectorGuard Class Reference

Scoped protector push to TestResult. More...

`#include <Protector.h>`

Collaboration diagram for ProtectorGuard:
[legend]

List of all members.

## Public Member Functions
| ProtectorGuard (TestResult *result, Protector *protector)
| Pushes the specified protector.
| ~ProtectorGuard ()
| Pops the protector.
## Private Attributes
TestResult * | m_result

## Detailed Description

Scoped protector push to TestResult.

Adds the specified Protector to the specified TestResult for the object life-time.

## Constructor & Destructor Documentation

ProtectorGuard::ProtectorGuard | ( | TestResult * | result,
|  | Protector * | protector
| ) |  |

Pushes the specified protector.

ProtectorGuard::~ProtectorGuard | ( |  | ) |

Pops the protector.

## Member Data Documentation

TestResult* ProtectorGuard::m_result`[private]`

The documentation for this class was generated from the following files:

- Protector.h
- Protector.cpp

| hosts this site. |  | Send comments to: CppUnit Developers